<template>
  <div>
    
        <div id="coberturaOdometro" class="charts" ref="coberturaOdometro"></div>
     
  </div>
</template>

<script>
import htmlToImage from "html-to-image";
import * as am4core from "@amcharts/amcharts4/core";
import * as am4charts from "@amcharts/amcharts4/charts";
import am4themes_animated from "@amcharts/amcharts4/themes/animated";
import am4themes_material from "@amcharts/amcharts4/themes/material";

export default {
  name: "Component-gr001",
  props: {
    value: Number,
    valueTotal: Number,
    color: String,
    diasRest: Number
  },
  data() {
    return {
      isShowId: true
    };
  },


methods:{
initChartG(){
  // Create chart instance
var chart = am4core.create("coberturaOdometro", am4charts.RadarChart);

// Add data
chart.data = [{
  "category": "",
  "value": 876,
  "full": 1800
}];

// Make chart not full circle
chart.startAngle = -180;  
chart.endAngle = 0;
chart.innerRadius = am4core.percent(90);

// Set number format
chart.numberFormatter.numberFormat = "#.#";

// Create axes
var categoryAxis = chart.yAxes.push(new am4charts.CategoryAxis());
categoryAxis.dataFields.category = "category";
categoryAxis.renderer.grid.template.location = 0;
categoryAxis.renderer.grid.template.strokeOpacity = 0;
categoryAxis.renderer.labels.template.horizontalCenter = "right";
categoryAxis.renderer.labels.template.fontWeight = 500;
categoryAxis.renderer.labels.template.adapter.add("fill", function(fill, target) {
  return (target.dataItem.index >= 0) ? chart.colors.getIndex(target.dataItem.index) : fill;
});
categoryAxis.renderer.minGridDistance = 10;

var label = chart.createChild(am4core.Label);
label.text = "876";
label.fontSize = 80;
label.align = "center";
label.isMeasured = false;
label.x = am4core.percent(50);
label.horizontalCenter = "middle";
label.y = 70;
label.fontWeight = "bold";

var label1 = chart.createChild(am4core.Label);
label1.text = "Puntos de Venta Certificados";
label1.fontSize = 15;
label1.align = "center";
label1.isMeasured = false;
label1.x = am4core.percent(50);
label1.horizontalCenter = "middle";
label1.y = 160;

var label2 = chart.createChild(am4core.Label);
label2.text = "¡Quedan 3 días para alcanzar la cobertura!";
label2.fontSize = 20;
label2.align = "center";
label2.isMeasured = false;
label2.x = am4core.percent(50);
label2.horizontalCenter = "middle";
label2.y = 200;
label2.fontWeight = "bold";

var label3 = chart.createChild(am4core.Label);
label3.text = "Cobertura total: 1800 Puntos de Venta";
label3.fontSize = 15;
label3.align = "center";
label3.isMeasured = false;
label3.x = am4core.percent(50);
label3.horizontalCenter = "middle";
label3.y = 240;


var valueAxis = chart.xAxes.push(new am4charts.ValueAxis());
valueAxis.renderer.grid.template.strokeOpacity = 0;
valueAxis.min = 0;
valueAxis.max = 1800;
valueAxis.strictMinMax = true;

// Create series
var series1 = chart.series.push(new am4charts.RadarColumnSeries());
series1.dataFields.valueX = "full";
series1.dataFields.categoryY = "category";
series1.clustered = false;
series1.columns.template.fill = new am4core.InterfaceColorSet().getFor("alternativeBackground");
series1.columns.template.fillOpacity = 0.08;
series1.columns.template.cornerRadiusTopLeft = 20;
series1.columns.template.strokeWidth = 0;
series1.columns.template.radarColumn.cornerRadius = 20;

var series2 = chart.series.push(new am4charts.RadarColumnSeries());
series2.dataFields.valueX = "value";
series2.dataFields.categoryY = "category";
series2.clustered = false;
series2.columns.template.strokeWidth = 0;
series2.columns.template.tooltipText = "{category}: [bold]{value}[/]";
series2.columns.template.radarColumn.cornerRadius = 20;

series2.columns.template.adapter.add("fill", function(fill, target) {
  return chart.colors.getIndex(target.dataItem.index);
});

// Add cursor
chart.cursor = new am4charts.RadarCursor();
}
},
mounted(){
this.initChartG();
}

};
</script>
<style scoped>
#coberturaOdometro {
  width: 100%;
  height: 350px;
}

</style>